/*############################################################################
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        28.05.2004
 Description:    
############################################################################*/

#ifndef _HANDY_H_
 #define _HANDY_H_

extern void Handy_Init (void);
extern int uart_putchar (char c);
extern int uart_getchar (void);
extern void Handy_Time (unsigned char*,unsigned char*,
						unsigned char*,unsigned char*,
						unsigned char*,unsigned char*);
extern void uart_clear (void);
extern char Send_SMS (char*,char*);

//Die Baud_Rate der Seriellen Schnittstelle ist 9600 Baud
#define BAUD_RATE 9600		//Baud Rate fr die Serielle Schnittstelle	
//#define BAUD_RATE 14400		//Baud Rate fr die Serielle Schnittstelle	
//#define BAUD_RATE 28800		//Baud Rate fr die Serielle Schnittstelle	
//#define BAUD_RATE 57600		//Baud Rate fr die Serielle Schnittstelle	

//Anpassen der seriellen Schnittstellen Register wenn ein ATMega128 benutzt wird
#if defined (__AVR_ATmega128__)
#	define USR UCSR0A
#	define UCR UCSR0B
#	define UDR UDR0
#	define UBRR UBRR0L
#	define EICR EICRB
#endif

#if defined (__AVR_ATmega32__)
#	define USR UCSRA
#	define UCR UCSRB
#	define UBRR UBRRL
#	define EICR EICRB
#endif
 
#endif //_HANDY_H_

